<?php
/**
 * Educollege Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage Educollege Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function educollege_pro_custom_colors_css() {
  	$options= educollege_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	.backtotop,
	button,
	input[type="button"],
	input[type="reset"],
	input[type="submit"],
	#top-bar,
	.pagination .page-numbers,
	.pagination .page-numbers.dots:hover,
	.pagination .page-numbers.dots:focus,
	.pagination .page-numbers.prev,
	.pagination .page-numbers.next,
	form.search-form button.search-submit,
	input[type="submit"],
	.reply a,
	.btn,
	.featured-content-wrapper .btn:hover,
	.featured-content-wrapper .btn:focus,
	.featured-content-wrapper .btn:not(:first-child):hover,
	.featured-content-wrapper .btn:not(:first-child):focus,
	.slick-arrow,
	.service-icon a,
	.featured-course-item .overlay,
	.college-info-links .overlay,
	.site-info,
	.second-design #top-bar,
	.second-design .btn,
	.second-design .video-button a,
	.second-design .events-articles-wrapper .posted-on span.year,
	#blog-slider .cat-links a,
	#blog-featured-posts .cat-links a,
	#blog-latest-posts .cat-links a,
	#blog-latest-posts .read-more a,
	.fourth-design #top-bar,
	.fourth-design .btn,
	.fourth-design .service-icon a,
	.fourth-design .video-button a,
	.fourth-design #counter .overlay,
	.fourth-design .testimonial-slider .slick-arrow,
	.fourth-design .featured-content-wrapper .btn { 
		background-color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	button:hover,
	input[type="button"]:hover,
	input[type="reset"]:hover,
	input[type="submit"]:hover,
	button:focus,
	input[type="button"]:focus,
	input[type="reset"]:focus,
	input[type="submit"]:focus,
	button:active,
	input[type="button"]:active,
	input[type="reset"]:active,
	input[type="submit"]:active,
	a,
	.secondary-menu .apply-now,
	.site-title a:hover,
	.site-title a:focus,
	.site-description,
	.main-navigation ul#primary-menu li.current-menu-item > a,
	.main-navigation ul#primary-menu li:hover > a,
	.main-navigation ul#primary-menu li:focus > a,
	.main-navigation a:hover,
	.main-navigation ul.nav-menu > li > a:hover,
	.navigation.post-navigation a:hover,
	.navigation.posts-navigation a:hover,
	.navigation.post-navigation a:focus,
	.navigation.posts-navigation a:focus,
	input[type="submit"]:hover,
	input[type="submit"]:focus,
	#secondary .cat-links a,
	#secondary a:hover,
	#secondary a:focus,
	.reply a:hover,
	.reply a:focus,
	.comment-meta .url:hover,
	.comment-meta .url:focus,
	.comment-metadata a:hover time,
	.comment-metadata a:focus time,
	.btn:hover,
	.btn:focus,
	.featured-content-wrapper .btn,
	.service-item-wrapper .entry-title a:hover,
	.service-item-wrapper .entry-title a:focus,
	#about-us .entry-title a:hover,
	#about-us .entry-title a:focus,
	.featured-course-item .entry-title a:hover,
	.featured-course-item .entry-title a:focus,
	.tp-education-meta.entry-meta span,
	.team-slider .entry-title a:hover,
	.team-slider .entry-title a:focus,
	.team-slider .position,
	.counter-icon a:hover,
	.counter-icon a:focus,
	.testimonial-slider .entry-title a:hover,
	.testimonial-slider .entry-title a:focus,
	.testimonial-slider .position,
	.blog-posts-wrapper .entry-meta > span:not(:last-child):after,
	.post-item-wrapper .entry-title a:hover,
	.post-item-wrapper .entry-title a:focus,
	.events-articles-wrapper .entry-title a:hover,
	.events-articles-wrapper .entry-title a:focus,
	.event-item-wrapper ul.tp-education-meta.entry-meta li:not(:last-child):after,
	.single-wrapper .entry-meta span a:hover, 
	.single-wrapper .entry-meta span a:focus,
	.single-wrapper .cat-links a,
	.single-wrapper .entry-meta span.byline a.fn:hover,
	.single-wrapper .entry-meta span.byline a.fn:focus,
	.single-wrapper .entry-meta > span a:hover,
	.single-wrapper .entry-meta > span a:focus,
	.blog-post-wrap .entry-meta a,
	.blog-post-wrap .entry-meta .posted-on a:hover,
	.blog-post-wrap .entry-meta .posted-on a:focus,
	.author-name h6 a:hover,
	.author-name h6 a:focus,
	.course-header-contents .title a:hover,
	.course-header-contents .title a:focus,
	.course-header-contents a:hover,
	.course-header-contents a:focus,
	#related-posts .blog-post-wrap .entry-title a:hover,
	#related-posts .blog-post-wrap .entry-title a:focus,
	.second-design .service-icon a,
	#blog-latest-posts .entry-title a:hover,
	#blog-latest-posts .entry-title a:focus {
		color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	.main-navigation ul#primary-menu li:hover > svg,
	.main-navigation ul#primary-menu li:focus > svg,
	.main-navigation li.menu-item-has-children:hover > a > svg,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation li.menu-item-has-children > a:focus > svg,
	.main-navigation ul#primary-menu > li.current-menu-item > a > svg,
	.main-navigation li.search-menu a:hover svg,
	.main-navigation li.search-menu a.search-active:hover svg,
	.main-navigation ul#primary-menu li.search-menu:hover > a.search-active svg,
	.navigation.post-navigation a:hover svg,
	.navigation.posts-navigation a:hover svg,
	.navigation.post-navigation a:focus svg,
	.navigation.posts-navigation a:focus svg,
	.featured-content-wrapper .btn:hover .more-icon svg, 
	.featured-content-wrapper .btn:focus .more-icon svg,
	.loader-container svg { 
		fill: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	input[type="text"]:focus,
	input[type="email"]:focus,
	input[type="url"]:focus,
	input[type="password"]:focus,
	input[type="search"]:focus,
	input[type="number"]:focus,
	input[type="tel"]:focus,
	input[type="range"]:focus,
	input[type="date"]:focus,
	input[type="month"]:focus,
	input[type="week"]:focus,
	input[type="time"]:focus,
	input[type="datetime"]:focus,
	input[type="datetime-local"]:focus,
	input[type="color"]:focus,
	textarea:focus,
	.pagination .page-numbers,
	.pagination .page-numbers.dots:hover,
	.pagination .page-numbers.dots:focus,
	.pagination .page-numbers.prev,
	.pagination .page-numbers.next,
	.fourth-design .btn,
	.fourth-design .video-button a,
	.fourth-design .featured-content-wrapper .btn { 
		border-color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	@keyframes preloader {
	    0% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    25% {height:30px;transform:translateY(15px);background: ' . esc_attr($color_value) . ';}
	    50% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    100% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	}';

	/**
	 * Filters Educollege Pro custom colors CSS.
	 *
	 * @since Educollege Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'educollege_pro_custom_colors_css', $css );
}
