<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage Educollege Pro
 * @since Educollege Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'educollege_pro_menu', array(
	'title'             => esc_html__('Header Menu','educollege-pro'),
	'description'       => esc_html__( 'Header Menu options.', 'educollege-pro' ),
	'panel'             => 'nav_menus',
) );

// Menu sticky setting and control.
$wp_customize->add_setting( 'educollege_pro_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'educollege_pro_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
) );

$wp_customize->add_control( new Educollege_Pro_Switch_Control( $wp_customize, 'educollege_pro_theme_options[menu_sticky]', array(
	'label'             => esc_html__( 'Make Menu Sticky', 'educollege-pro' ),
	'section'           => 'educollege_pro_menu',
	'on_off_label' 		=> educollege_pro_switch_options(),
) ) );

// search enable setting and control.
$wp_customize->add_setting( 'educollege_pro_theme_options[social_nav_enable]', array(
	'sanitize_callback' => 'educollege_pro_sanitize_switch_control',
	'default'           => $options['social_nav_enable'],
) );

$wp_customize->add_control( new Educollege_Pro_Switch_Control( $wp_customize, 'educollege_pro_theme_options[social_nav_enable]', array(
	'label'             => esc_html__( 'Enable Social Links', 'educollege-pro' ),
	'description'       => sprintf( '%1$s <a class="topbar-menu-trigger" href="#"> %2$s </a> %3$s', esc_html__( 'Note: To show social menu.', 'educollege-pro' ), esc_html__( 'Click Here', 'educollege-pro' ), esc_html__( 'to create menu', 'educollege-pro' ) ),
	'section'           => 'educollege_pro_menu',
	'on_off_label' 		=> educollege_pro_switch_options(),
) ) );
