<?php
/**
 * Section Sortable options
 *
 * @package Theme Palace
 * @subpackage Educollege Pro
 * @since Educollege Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'educollege_pro_sortable', array(
	'title'               => esc_html__('Homepage Sortable','educollege-pro'),
	'description'         => esc_html__( 'Homepage Sortable options.', 'educollege-pro' ),
	'panel'               => 'educollege_pro_theme_options_panel',
) );

// Site layout setting and control.
$wp_customize->add_setting( 'educollege_pro_theme_options[sortable]', array(
	'default'			  => $options['sortable'],
	'sanitize_callback'   => 'educollege_pro_sanitize_sortable',
) );

$wp_customize->add_control( new Educollege_Pro_Customize_Sortable_Control ( $wp_customize, 'educollege_pro_theme_options[sortable]', array(
	'label'               => esc_html__( 'Sortable Homepage', 'educollege-pro' ),
	'description'         => esc_html__( 'Drag and Drop to sort the sections according to your preference.', 'educollege-pro' ),
	'section'             => 'educollege_pro_sortable',
	'type'                => 'sortable',
	'choices'			  => educollege_pro_sortable_sections(),
) ) );