<?php
/**
 * Counter section
 *
 * This is the template for the content of counter section
 *
 * @package Theme Palace
 * @subpackage Educollege Pro
 * @since Educollege Pro 1.0.0
 */
if ( ! function_exists( 'educollege_pro_add_counter_section' ) ) :
    /**
    * Add counter section
    *
    *@since Educollege Pro 1.0.0
    */
    function educollege_pro_add_counter_section() {
        $options = educollege_pro_get_theme_options();
        // Check if counter is enabled on frontpage
        $counter_enable = apply_filters( 'educollege_pro_section_status', true, 'counter_section_enable' );

        if( $options['home_layout'] == 'third-design' || $options['home_layout'] == 'fifth-design'){
            $counter_enable = false;
        }

        if ( true !== $counter_enable ) {
            return false;
        }

        // Render counter section now.
        educollege_pro_render_counter_section();
    }
endif;

if ( ! function_exists( 'educollege_pro_render_counter_section' ) ) :
  /**
   * Start counter section
   *
   * @return string counter content
   * @since Educollege Pro 1.0.0
   *
   */
   function educollege_pro_render_counter_section() {
        $options = educollege_pro_get_theme_options();
        $image   = empty( $options['counter_image'] ) ? '' : $options['counter_image'] ;
        $contents = array();
        for( $i= 1; $i <=4 ; $i++ ){
            $page_post['icon']      = empty( $options['counter_content_icon_'.$i] ) ? '' : $options['counter_content_icon_'.$i] ;
            $page_post['title']     = empty( $options['counter_title_'.$i] ) ? '' :$options['counter_title_'.$i];
            $page_post['number']    = empty( $options['counter_number_'.$i] ) ? '' :$options['counter_number_'.$i];
            array_push( $contents, $page_post );
        }
       

        ?>
            <div id="counter" class="relative page-section" style="background-image:url('<?php echo esc_url( $image ) ; ?>');">
                <div class="overlay"></div>
                <div class="wrapper">
                    <div class="col-4">

                        <?php foreach ( $contents as $content ): ?>
                            <?php if ( ! empty( $content['title'] ) || ! empty( $content['icon'] ) || ! empty( $content['number'] ) ): ?>
                                <article>
                                    <div class="counter-icon">
                                        <i class="fa <?php echo esc_attr( $content['icon'] ) ; ?>"></i>
                                    </div><!-- .counter-icon -->
                                    <h3 class="counter-value">
                                        <?php echo esc_html( $content['number'] ); ?>                                    
                                    </h3>
                                    <h3 class="counter-title">
                                        <?php echo esc_html( $content['title'] ); ?>    
                                    </h3>
                                </article>
                            <?php endif ?>                           
                        <?php endforeach ?>
                        </div><!-- .col-4 -->
                </div><!-- .wrapper -->
            </div>
    <?php }
endif;
